Loading...
Searching...
No Matches
poly_span.h File Reference
`#include "platform.h"`
`#include "array.h"`
`#include "hash.h"`
`#include "integral_limits.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "nullptr.h"`
`#include "type_traits.h"`
`#include "private/dynamic_extent.h"`

Go to the source code of this file.

## Classes

class | etl::private_poly_span::iterator< TBase >
class | etl::poly_span< TBase, Extent >
| Poly Span - Fixed Extent. More...
struct | etl::poly_span< TBase, Extent >::char_ptr_type< TFrom >
class | etl::poly_span< TBase, etl::dynamic_extent >
| Poly Span - Dynamic Extent. More...

## Namespaces

namespace | etl

## Variables

template<typename TBase, size_t Extent>
ETL_CONSTANT size_t | etl::poly_span< TBase, Extent >::extent
template<typename TBase>
ETL_CONSTANT size_t | etl::poly_span< TBase, etl::dynamic_extent >::extent